org.apache.nutch.webui.client.model

## Enum JobInfo.State

- java.lang.Object
- - java.lang.Enum<JobInfo.State>
  - - org.apache.nutch.webui.client.model.JobInfo.State

- All Implemented Interfaces:
    Serializable, Comparable<JobInfo.State>
  Enclosing class:
    JobInfo

      public static enum JobInfo.State
      extends Enum<JobInfo.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANY`
    `FAILED`
    `FINISHED`
    `IDLE`
    `KILLED`
    `KILLING`
    `RUNNING`
    `STOPPING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobInfo.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JobInfo.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final JobInfo.State IDLE

    - #### RUNNING

          public static final JobInfo.State RUNNING

    - #### FINISHED

          public static final JobInfo.State FINISHED

    - #### FAILED

          public static final JobInfo.State FAILED

    - #### KILLED

          public static final JobInfo.State KILLED

    - #### STOPPING

          public static final JobInfo.State STOPPING

    - #### KILLING

          public static final JobInfo.State KILLING

    - #### ANY

          public static final JobInfo.State ANY

  - ### Method Detail

    - #### values

          public static JobInfo.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobInfo.State c : JobInfo.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobInfo.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 The Apache Software Foundation